### A free/open-source library for quantitative finance

Classes | Defines | Typedefs
ql/math/statistics/sequencestatistics.hpp File Reference

Statistics tools for sequence (vector, list, array) samples. More...

`#include <ql/math/statistics/statistics.hpp>`
`#include <ql/math/statistics/incrementalstatistics.hpp>`
`#include <ql/math/matrix.hpp>`
Include dependency graph for sequencestatistics.hpp:

## Classes

class | GenericSequenceStatistics< StatisticsType >
| Statistics analysis of N-dimensional (sequence) data. More...

## Defines

#define | DEFINE_SEQUENCE_STAT_CONST_METHOD_VOID(METHOD)
#define | DEFINE_SEQUENCE_STAT_CONST_METHOD_DOUBLE(METHOD)

## Typedefs

typedef GenericSequenceStatistics < Statistics > | SequenceStatistics
| default multi-dimensional statistics tool
typedef GenericSequenceStatistics < IncrementalStatistics > | SequenceStatisticsInc

## Detailed Description

Statistics tools for sequence (vector, list, array) samples.

## Define Documentation

#define DEFINE_SEQUENCE_STAT_CONST_METHOD_VOID | ( |  | METHOD | ) |

Value:

    template <class Stat> \
        std::vector<Real> \
        GenericSequenceStatistics<Stat>::METHOD() const { \
            for (Size i=0; i<dimension_; i++) \
                results_[i] = stats_[i].METHOD(); \
            return results_; \
        }

#define DEFINE_SEQUENCE_STAT_CONST_METHOD_DOUBLE | ( |  | METHOD | ) |

Value:

    template <class Stat> \
        std::vector<Real> \
        GenericSequenceStatistics<Stat>::METHOD(Real x) const { \
            for (Size i=0; i<dimension_; i++) \
                results_[i] = stats_[i].METHOD(x); \
            return results_; \
        }